Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_Static_Svc_Descriptor Class Reference

Holds the information necessary to describe a statically linked Svc. More...

`#include <Service_Config.h>`

List of all members.

## Public Methods
void | dump (void) const
| Dump the state of an object. More...
int | operator== (ACE_Static_Svc_Descriptor &) const
| Compare two service descriptors for equality. More...
int | operator!= (ACE_Static_Svc_Descriptor &) const
| Compare two service descriptors for inequality. More...
## Public Attributes
const ACE_TCHAR * | name_
| Name of the service. More...
int | type_
| Type of service. More...
ACE_SERVICE_ALLOCATOR | alloc_
| Factory function that allocates the service. More...
u_int | flags_
| Bitmask flags indicating how the framework should delete memory. More...
int | active_
| Flag indicating whether the service starts out active. More...
| ACE_ALLOC_HOOK_DECLARE
| Declare the dynamic allocation hooks. More...

## Detailed Description

Holds the information necessary to describe a statically linked Svc.

## Member Function Documentation

void ACE_Static_Svc_Descriptor::dump | ( | void |  | ) | const

| Dump the state of an object.

ACE_INLINE int ACE_Static_Svc_Descriptor::operator!= | ( | ACE_Static_Svc_Descriptor & | d | ) | const

| Compare two service descriptors for inequality.

ACE_INLINE int ACE_Static_Svc_Descriptor::operator== | ( | ACE_Static_Svc_Descriptor & | d | ) | const

| Compare two service descriptors for equality.

## Member Data Documentation

ACE_Static_Svc_Descriptor::ACE_ALLOC_HOOK_DECLARE

| Declare the dynamic allocation hooks.

int ACE_Static_Svc_Descriptor::active_

| Flag indicating whether the service starts out active.

ACE_SERVICE_ALLOCATOR ACE_Static_Svc_Descriptor::alloc_

| Factory function that allocates the service.

u_int ACE_Static_Svc_Descriptor::flags_

| Bitmask flags indicating how the framework should delete memory.

const ACE_TCHAR* ACE_Static_Svc_Descriptor::name_

| Name of the service.

int ACE_Static_Svc_Descriptor::type_

| Type of service.

The documentation for this class was generated from the following files:

- Service_Config.h
- Service_Config.i